- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# Mers::Utils::Lang Namespace Reference

## Classes
class | BaseModelObject
class | CharUtils
class | Error
class | FactoryBase
class | FactoryArg0
class | FactoryArg1
class | FactorySupport
class | Mutex
class | Object
class | PointerCompare
class | ReferencedObject
class | String
class | Time
## Namespaces
namespace | FactoryOps
## Typedefs
typedef Time | InfInt
## Functions
ostream & | operator<< (ostream &out, BaseModelObject const &other)
ostream & | operator<< (ostream &out, BaseModelObject const *other)
bool | operator< (const std::type_info &t1, const std::type_info &t2)
ostream & | operator<< (ostream &out, Object const &other)
ostream & | operator<< (ostream &out, Object const *other)
int | sleep (int len)
ostream & | operator<< (ostream &os, const Time &t)
istream & | operator>> (istream &is, Time &t)

## Function Documentation

std::ostream & Mers::Utils::Lang::operator<< | ( | std::ostream & | out,
|  | Object const * | other |
| ) |  |  |

Prints out this object to the ostream out by calling its print() routine

Parameters:

  | out | the ostream being written to
  | other | the Object being printed

Returns:
  the out ostream

Definition at line 136 of file Object.cpp.

References Mers::Utils::Lang::Object::print().

Here is the call graph for this function:

std::ostream & Mers::Utils::Lang::operator<< | ( | std::ostream & | out,
|  | Object const & | other |
| ) |  |  |

Prints out this object to the ostream out by calling its print() routine

Parameters:

  | out | the ostream being written to
  | other | the Object being printed

Returns:
  the out ostream

Definition at line 125 of file Object.cpp.

References Mers::Utils::Lang::Object::print().

Here is the call graph for this function:

ostream& Mers::Utils::Lang::operator<< | ( | std::ostream & | out,
|  | BaseModelObject const * | other |
| ) |  |  |

Prints out this object to the ostream out by calling its print() routine

Parameters:

  | out | the ostream being written to
  | other | the BaseModelObject being printed

Returns:
  the out ostream

Definition at line 139 of file BaseModelObject.cpp.

References Mers::Utils::Lang::BaseModelObject::print().

Here is the call graph for this function:

ostream& Mers::Utils::Lang::operator<< | ( | std::ostream & | out,
|  | BaseModelObject const & | other |
| ) |  |  |

Prints out this object to the ostream out by calling its print() routine.

Parameters:

  | out | the ostream being written to
  | other | the BaseModelObject being printed

Returns:
  the out ostream

Definition at line 128 of file BaseModelObject.cpp.

References Mers::Utils::Lang::BaseModelObject::print().

Here is the call graph for this function:

int Mers::Utils::Lang::sleep | ( | int | len | ) |

Sleeps for len seconds and then returns.

Parameters:

  | len | The number of seconds to sleep.

Returns:
  If the function was interrupted, the return value is len - the number of seconds it has already slept. Otherwise, the return value is 0.

Definition at line 28 of file Sleep.cpp.